Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.saml
Class Assertion

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SAMLMessage
oracle.security.xmlsec.saml.Assertion`

public class Assertion
extends SAMLMessage

Specifies an Assertion element that contains security information .

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`` | `Assertion(org.w3c.dom.Document owner)` Creates a new `Assertion` instance.
`protected` | `Assertion(org.w3c.dom.Document owner, java.lang.String uri, java.lang.String localName)` Creates a new `Assertion` instance.
`` | `Assertion(org.w3c.dom.Element element)` Creates a new `Assertion` instance from the given Element node.
`` | `Assertion(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `Assertion` instance from the given Element node.

Method Summary
`void` | `addStatement(Statement statement)` Adds a Statement element to this `Assertion`.
`Advice` | `getAdvice()` Returns additional information for processing this `Assertion`
`java.lang.String` | `getAssertionID()` Returns the identifier attribute for this `Assertion`.
`java.util.List` | `getAttributeStatements()` Returns a `List` containing the `AttributeStatement` elements present in this `Assertion`.
`java.util.List` | `getAuthenticationStatements()` Returns a `List` containing the `AuthenticationStatement` elements present in this `Assertion`.
`java.util.List` | `getAuthorizationDecisionStatements()` Returns a `List` containing the `AuthorizationDecisionStatement` elements present in this `Assertion`.
`Conditions` | `getConditions()` Returns the conditions of this `Assertion`
`protected java.lang.String` | `getID()` Returns the ID attribute if any of this SAML message to be used for the signature operations.
`java.util.Date` | `getIssueInstant()` Returns the time instant of issue attribute.
`java.lang.String` | `getIssuer()` Returns the issuer's name attribute of this `Assertion`.
`protected java.lang.String[]` | `getLocalNamesPrecedeDSig()` Obtains the ordered set of the local names of all the preceding sibling child elements of this Signature child element in the the Schema for the XML element that the implementing subclass targets for.
`protected java.lang.String[]` | `getNSURIsPrecedeDSig()` Obtains the ordered set of the the namespace URIs for all the preceding sibling child elements of this Signature child element in the the Schema for the XML element that the implementing subclass targets for.
`void` | `setAdvice(Advice advice)` Sets the Advice element of this `Assertion`.
`void` | `setAssertionID(java.lang.String assertionID)` Sets the identifier attribute for this `Assertion` object.
`void` | `setConditions(Conditions conditions)` Sets the conditions that must be taken into account when validating the assertion.
`void` | `setIssueInstant(java.util.Date issueInstant)` Sets the time instant of issue attribute as a UTC time.
`void` | `setIssuer(java.lang.String issuer)` Sets the issuer attribute of this `Assertion`.

Methods inherited from class oracle.security.xmlsec.saml.SAMLMessage
`addSignature, addSignature, clearSignature, getInstance, getMajorVersion, getMinorVersion, getSignature, isSigned, setVersion, sign, sign, verify, verify`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assertion

    public Assertion(org.w3c.dom.Element element)
              throws org.w3c.dom.DOMException

  Creates a new `Assertion` instance from the given Element node.
Parameters:
  `element` - An Assertion element.

### Assertion

    public Assertion(org.w3c.dom.Element element,
                     java.lang.String systemId)
              throws org.w3c.dom.DOMException

  Creates a new `Assertion` instance from the given Element node.
Parameters:
  `element` - An Assertion element.
  `systemId` - The URI string system ID for the `Action`.

### Assertion

    public Assertion(org.w3c.dom.Document owner)
              throws org.w3c.dom.DOMException

  Creates a new `Assertion` instance.
Parameters:
  `owner` - The owner document of the new Assertion.

### Assertion

    protected Assertion(org.w3c.dom.Document owner,
                        java.lang.String uri,
                        java.lang.String localName)
                 throws org.w3c.dom.DOMException

  Creates a new `Assertion` instance. This constructor is for use in subclass for extension of the Assertion element.
Parameters:
  `owner` - The owner document of the new Assertion.
  `localName` - The localName of the element represented by the class that extends this class.

Method Detail

### setAssertionID

    public void setAssertionID(java.lang.String assertionID)

  Sets the identifier attribute for this `Assertion` object.
  Parameters:
    `assertionID` - A unique ID.

### getAssertionID

    public java.lang.String getAssertionID()

  Returns the identifier attribute for this `Assertion`.
  Returns:
    The String value of the ID or `null` if none has been set.

### setIssuer

    public void setIssuer(java.lang.String issuer)

  Sets the issuer attribute of this `Assertion`.
  Parameters:
    `issuer` - The issuer's name.

### getIssuer

    public java.lang.String getIssuer()

  Returns the issuer's name attribute of this `Assertion`.
  Returns:
    The String name of the issuer or `null` if none has been set.

### setIssueInstant

    public void setIssueInstant(java.util.Date issueInstant)

  Sets the time instant of issue attribute as a UTC time.
  Parameters:
    `issueInstant` - The `Date` object representing the issue time.

### getIssueInstant

    public java.util.Date getIssueInstant()

  Returns the time instant of issue attribute.
  Returns:
    A `Date` object representing the issue time or `null` if none has been set.

### setConditions

    public void setConditions(Conditions conditions)

  Sets the conditions that must be taken into account when validating the assertion.
  Parameters:
    `conditions` - A `Conditions` object containing a collection of conditions.

### getConditions

    public Conditions getConditions()

  Returns the conditions of this `Assertion`
  Returns:
    A `Conditions` object containing a set of `Condition` objects or `null` if none has been set.

### setAdvice

    public void setAdvice(Advice advice)

  Sets the Advice element of this `Assertion`.
  Parameters:
    `advice` - An `Advice` object that contains additional information for this `Assertion`.

### getAdvice

    public Advice getAdvice()

  Returns additional information for processing this `Assertion`
  Returns:
    An `Advice` object or `null` if none has been set.

### addStatement

    public void addStatement(Statement statement)

  Adds a Statement element to this `Assertion`.
  Parameters:
    `statement` - The `Statement` objec to add.

### getAuthenticationStatements

    public java.util.List getAuthenticationStatements()

  Returns a `List` containing the `AuthenticationStatement` elements present in this `Assertion`.
  Returns:
    A `List` object of `AuthenticationStatement` objects or an empty `List`.

### getAuthorizationDecisionStatements

    public java.util.List getAuthorizationDecisionStatements()

  Returns a `List` containing the `AuthorizationDecisionStatement` elements present in this `Assertion`.
  Returns:
    A `List` object of `AuthorizationDecisionStatement` objects or an empty `List`.

### getAttributeStatements

    public java.util.List getAttributeStatements()

  Returns a `List` containing the `AttributeStatement` elements present in this `Assertion`.
  Returns:
    A `List` object of `AttributeStatement` objects or an empty `List`.

### getNSURIsPrecedeDSig

    protected java.lang.String[] getNSURIsPrecedeDSig()

  Description copied from class: `SAMLMessage`
  Obtains the ordered set of the the namespace URIs for all the preceding sibling child elements of this Signature child element in the the Schema for the XML element that the implementing subclass targets for.
  Specified by:
    `getNSURIsPrecedeDSig` in class `SAMLMessage`

### getLocalNamesPrecedeDSig

    protected java.lang.String[] getLocalNamesPrecedeDSig()

  Description copied from class: `SAMLMessage`
  Obtains the ordered set of the local names of all the preceding sibling child elements of this Signature child element in the the Schema for the XML element that the implementing subclass targets for.
  Specified by:
    `getLocalNamesPrecedeDSig` in class `SAMLMessage`

### getID

    protected java.lang.String getID()

  Description copied from class: `SAMLMessage`
  Returns the ID attribute if any of this SAML message to be used for the signature operations.
  Specified by:
    `getID` in class `SAMLMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.